%define 	xmmsinputplugindir	%(xmms-config --input-plugin-dir 2>/dev/null)

Summary: 	An Advanced Audio Decoder
Name: 		faad2
Version: 	2.0
Release: 	0.lvn.1.2
Epoch:		0
License: 	GPL
Group: 		System Environment/Libraries
URL: 		http://faac.sourceforge.net/
Source0: 	http://download.sourceforge.net/faac/%{name}-%{version}.tar.gz
Patch0:		faad2-2.0-Makefile.am-separator.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libsndfile-devel id3lib-devel xmms-devel gtk+-devel
BuildRequires:	autoconf automake libtool libstdc++-devel

%package devel
Summary:	Development files for the faad library
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libsndfile-devel

%package -n xmms-%{name}
Summary:	Faad2 XMMS Input Plugin
Group:		Applications/Multimedia
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	xmms = %(rpm -q --qf='%%{epoch}:%%{version}' xmms-devel)
Provides:	xmms-aac = %{epoch}:%{version}-%{release}

# --------------------------------------------------------------------

%description
FAAD is an Advanced Audio Decoder (MPEG2-AAC, MPEG4-AAC). 

%description devel
FAAD is an Advanced Audio Decoder (MPEG2-AAC, MPEG4-AAC). 
This package contains development files for the FAAD.

%description -n xmms-%{name}
FAAD is an Advanced Audio Decoder (MPEG2-AAC, MPEG4-AAC). 
This package contains an input plugin for xmms.

# --------------------------------------------------------------------

%prep
%setup -q -n %{name}
%patch0 -p0 -b .separator

# --------------------------------------------------------------------

%build
sh ./bootstrap
%configure --with-xmms --with-mp4v2
make %{?_smp_mflags}

# --------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{xmmsinputplugindir}/*.{la,a} $RPM_BUILD_ROOT%{_libdir}/lib*.la

# --------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS README TODO ChangeLog
%{_bindir}/faad
%{_libdir}/libfaad.so.*
%{_libdir}/libmp4v2.so.*
%{_libdir}/libmp4ff.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/faad.h
%{_includedir}/mp4.h
%{_includedir}/mp4ff.h
%{_includedir}/mpeg4ip.h
%{_includedir}/systems.h
%{_libdir}/libfaad.a
%{_libdir}/libfaad.so
%{_libdir}/libmp4v2.a
%{_libdir}/libmp4v2.so
%{_libdir}/libmp4ff.a
%{_libdir}/libmp4ff.so

%files -n xmms-%{name}
%defattr(-,root,root,-)
%doc plugins/xmms/AUTHORS plugins/xmms/NEWS
%xmmsinputplugindir/libmp4.so

# --------------------------------------------------------------------

%changelog
* Wed Mar 10 2004 Dams <anvil[AT]livna.org> 0:2.0-0.lvn.1
- Updated to 2.0 final release
- Added missing defattr
- Added xmms-aac provides to xmms-{name}
- Fixed makefile (patch)

* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:2.0-0.fdr.0.1.rc1
- Updated to 2.0 rc1
- Added xmms-faad2 subpackage

* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:1.1-0.fdr.4
- Added missing scriplets
- buildroot -> RPM_BUILD_ROOT

* Tue Apr 15 2003 Dams <anvil[AT]livna.org> 0:1.1-0.fdr.3
- turned bootstrap into ./bootstrap to prevent build to fail with
  people who dont have "." in their PATH.

* Sat Apr 12 2003 Dams <anvil[AT]livna.org> 0:1.1-0.fdr.2
- Typo in devel Requires.

* Sat Apr 12 2003 Dams <anvil[AT]livna.org> 
- Initial build.
